'''Elf race for D&D 3.5 Mod'''

import es, dnds, popuplib
from dnds import dnds

def load():
    dnds.addRace('Elf', bonusWeapons=['galil', 'famas'])

    elfinfo = popuplib.create('elfinformation')
    elfinfo.addline('-{ D&D CS:S - Elf Info }-')
    elfinfo.addline(' Gain Famas and Galil ')
    elfinfo.addline(' Gain 5% Speed ')
    elfinfo.addline(' Minus 10 Health ')
    elfinfo.addline('-> 8. Back')
    elfinfo.addline('0. Exit')
    elfinfo.submenu(8, 'stracesinfo 1')
    dnds.addRaceInformation('Elf', 'elfinformation')

def player_spawn(ev):
    userid = int(ev['userid'])
    if dnds.isRace(userid, 'Elf'):
        dnds.Speed(userid, .05)
        dnds.Health(userid, -10)
