'''Fire Souled race for D&D 3.5 Mod'''

import es, dnds, popuplib, random
from dnds import dnds

def load():
    dnds.addRace('Fire Souled', levelAdjustment=1)
    
    firesouledinfo = popuplib.create('firesouledinformation')
    firesouledinfo.addline('-{ D&D CS:S - Fire Souled Info }-')
    firesouledinfo.addline(' Level Adjustment - 1')
    firesouledinfo.addline(' Two extra Low Level Castings')
    firesouledinfo.addline(' One extra Medium Level Casting')
    firesouledinfo.addline(' Over Whelming Passion - Your attacks may set fire to their victim')
    firesouledinfo.addline('-> 8. Back')
    firesouledinfo.addline('0. Exit')
    firesouledinfo.submenu(8, 'laracesinfo 1')
    dnds.addRaceInformation('Fire Souled', 'firesouledinformation', levelAdjustment=1)

def player_spawn(ev):
    userid = int(ev['userid'])
    if dnds.isRace(userid, 'Fire Souled'):
        Key = dnds.getPlayer(userid)
        Key['spells'][1] += 2
        Key['spells'][2] += 1

def player_hurt(ev):
    userid = int(ev['userid'])
    attacker = int(ev['attacker'])
    if userid and attacker:
        if dnds.isRace(attacker, 'Fire Souled'):
            if not random.randrange(5):
                es.server.queuecmd('est_Burn %s 3'%userid)
